#include <Arduino.h>

float korectur = 0.90021322;
char floatString[15] = {0};
float AKKU;

float getBattery(float kor = 1.000)
{
  #if (NOBATT == 1)
    Serial.print("Batterie:\t\t    3.05 V\n");
    return 3.05;
  #endif
  float valA0 = analogRead(A0);
  #ifdef Spannungsteiler
  valA0 = valA0 * Spannungsteiler;	
  #else
  valA0 = valA0 * 5.4;
  #endif
  // (R1 + r1 + r2) / r2
						// r1 und r2 Spannungsteiler
						// r1 = 270k, r2 = 100k
						// Spannungsbereich = 5.2 Volt
  valA0= valA0 / 1024;
  valA0 = valA0 * kor;
  dtostrf(valA0,7,2,floatString);
  Serial.printf("Akku:\t\t\t%s V\n", floatString);
  return valA0;
}